Get Resource
curl --request GET \
--url https://api.embedreach.com/api/resources/{schemaDefinitionNameOrId}/{externalId}import requests
url = "https://api.embedreach.com/api/resources/{schemaDefinitionNameOrId}/{externalId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.embedreach.com/api/resources/{schemaDefinitionNameOrId}/{externalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"result": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schema_definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaDefinitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platform_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platformId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"businessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_external_id": "<string>",
"resourceExternalId": "<string>",
"created_at": "<string>",
"createdAt": "<string>",
"updated_at": "<string>",
"updatedAt": "<string>",
"data": {}
},
"included": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schema_definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaDefinitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platform_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platformId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"businessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_external_id": "<string>",
"resourceExternalId": "<string>",
"created_at": "<string>",
"createdAt": "<string>",
"updated_at": "<string>",
"updatedAt": "<string>",
"data": {}
}
]
}
}{
"message": "<string>",
"success": false,
"errors": [
"<string>"
]
}{
"success": true,
"message": "<string>",
"data": {
"error": "<string>"
}
}Partner Resources
Get Resource
Retrieves a resource by its external ID. Can include reference fields to resolve and filter by field values.
GET
/
api
/
resources
/
{schemaDefinitionNameOrId}
/
{externalId}
Get Resource
Headers
If using a platform scoped JWT, you can pass in a header to impersonate a specific tenant to impersonate the request as.
Path Parameters
The name or id of the schema definition to filter the resources by
The external ID of the resource to retrieve
Query Parameters
Comma-separated list of reference ($ref) fields to include in the response. (Supports nested references with dot notation)
How to return reference fields: object = { type, id } (default), id = plain id or array of ids. "id" is recommended and will become the default in a future version.
Available options:
object, id ⌘I